- Cal3D 0.11 API Reference -

Public Member Functions | Public Attributes | List of all members
CalPlane Class Reference

The plane class. More...

`#include <vector.h>`

## Public Member Functions

float | eval (CalVector &p)
| Transforms the vector instance by a matrix.
float | dist (CalVector &p)
void | setPosition (CalVector &p)
void | setNormal (CalVector &p)

## Public Attributes

float | a
float | b
float | c
float | d

## Detailed Description

The plane class.

## Member Function Documentation

## ◆ eval()

float CalPlane::eval | ( | CalVector & | p | ) |

Transforms the vector instance by a matrix.

This function transforms the vector instance by a given matrix.

Parameters

  m | The matrix to be used for the transformation. Scales the vector instance.

This operator scales the vector instance by dividing its components by a specific factor.

Parameters

  d | The factor to divide the vector components by. Tests the equality of 2 vectors

This operator checks to see if 2 vectors are equal

Parameters

  v | The vector to be tested against. Calculates the sum of two vectors.

This operator calculates the sum of two vectors.

Parameters

  v | The first vector to be added.
  u | The second vector to be added.

Returns
  The sum of the two vectors. Calculates the difference of two vectors.

This operator calculates the difference of two vectors.

Parameters

  v | The first vector to be added.
  u | The second vector to be subtracted.

Returns
  The difference of the two vectors. Calculates a scaled vector.

This operator calculates the vector multiplied by a factor.

Parameters

  v | The vector to be scaled.
  d | The factor to multiply the vector with.

Returns
  The scaled vector. Calculates a scaled vector.

This operator calculates the vector multiplied by a factor.

Parameters

  d | The factor to multiply the vector with.
  v | The vector to be scaled.

Returns
  The scaled vector. Calculates a scaled vector.

This operator calculates the vector divided by a factor.

Parameters

  v | The vector to be scaled.
  d | The factor to divide the vector with.

Returns
  The scaled vector. Calculates the dot product of two vectors.

This operator calculates the dot product of two vectors.

Parameters

  v | The first vector.
  u | The second vector.

Returns
  The dot product of the two vectors. Calculates the vector product of two vectors.

This operator calculates the vector product of two vectors.

Parameters

  v | The first vector.
  u | The second vector.

Returns
  The vector product of the two vectors. Interpolates the vector instance to another vector.

This function interpolates the vector instance to another vector by a given factor.

Parameters

  d | The blending factor in the range [0.0, 1.0].
  v | The vector to be interpolated to. Clears the vector instance.

This function clears the vector instance. Returns the length of the vector instance.

This function returns the length of the vector instance.

Returns
  The length of the vector instance. Normalizes the vector instance.

This function normalizes the vector instance and returns its former length.

Returns
  The length of the vector instance before normalizing. Sets new values.

This function sets new values in the vector instance.

Parameters

  x | The x component.
  y | The y component.
  z | The z component.

The documentation for this class was generated from the following files:

- vector.h
- vector.cpp

Generated by The Cal3D Team with Doxygen 1.15.0